#
# Vivado (TM) v2016.1 (64-bit)
#
# Trigger_Vivado.tcl: Tcl script for re-creating project 'Trigger_v1'
#
# Generated by Vivado on Thu Feb 24 12:14:55 -0500 2022
# IP Build 1537824 on Fri Apr  8 04:28:57 MDT 2016
#
# This file contains the Vivado Tcl commands for re-creating the project to the state*
# when this script was generated. In order to re-create the project, please source this
# file in the Vivado Tcl Shell.
#
# * Note that the runs in the created project will be configured the same way as the
#   original project, however they will not be launched automatically. To regenerate the
#   run results please launch the synthesis/implementation runs as needed.
#
#*****************************************************************************************
# NOTE: In order to use this script for source control purposes, please make sure that the
#       following files are added to the source control system:-
#
# 1. This project restoration tcl script (Trigger_Vivado.tcl) that was generated.
#
# 2. The following source(s) files that were local or imported into the original project.
#    (Please see the '$orig_proj_dir' and '$origin_dir' variable setting below at the start of the script)
#
#    <none>
#
# 3. The following remote source files that were added to the original project:-
#
#    "C:/Xilinx/AMEGO/Trigger_v1/Trigger_v1.srcs/sources_1/new/tlast_gen.v"
#    "C:/Xilinx/AMEGO/Trigger_v1/Trigger_v1.srcs/sources_1/new/external_trigger.v"
#    "C:/Xilinx/AMEGO/Trigger_v1/Trigger_v1.srcs/sources_1/new/sw_ack_gen.v"
#    "C:/Xilinx/AMEGO/Trigger_v1/Trigger_v1.srcs/sources_1/new/register_fmc.v"
#    "C:/Xilinx/AMEGO/Trigger_v1/Trigger_v1.srcs/sources_1/new/register_ctrl.v"
#    "C:/Xilinx/AMEGO/Trigger_v1/Trigger_v1.srcs/sources_1/new/lemo_ack_gen.v"
#    "C:/Xilinx/AMEGO/Trigger_v1/Trigger_v1.srcs/sources_1/new/FallingEdge.v"
#    "C:/Xilinx/AMEGO/Trigger_v1/Trigger_v1.srcs/sources_1/new/gps_pps_mimic.v"
#    "C:/Xilinx/AMEGO/Trigger_v1/Trigger_v1.srcs/sources_1/new/OneShot.v"
#    "C:/Xilinx/AMEGO/Trigger_v1/Trigger_v1.srcs/sources_1/new/det_hit_gen.v"
#    "C:/Xilinx/AMEGO/Trigger_v1/Trigger_v1.srcs/sources_1/new/dummy_fee.v"
#    "C:/Xilinx/AMEGO/Trigger_v1/Trigger_v1.srcs/sources_1/new/fmc_out_gen.v"
#    "C:/Xilinx/AMEGO/Trigger_v1/Trigger_v1.srcs/sources_1/new/mode_ack_gen.v"
#    "C:/Xilinx/AMEGO/Trigger_v1/Trigger_v1.srcs/sources_1/new/Delay32.v"
#    "C:/Xilinx/AMEGO/Trigger_v1/Trigger_v1.srcs/sources_1/new/event_id.v"
#    "C:/Xilinx/AMEGO/Trigger_v1/Trigger_v1.srcs/sources_1/new/Scaler32.v"
#    "C:/Xilinx/AMEGO/Trigger_v1/Trigger_v1.srcs/sources_1/new/Scaler16.v"
#    "C:/Xilinx/AMEGO/Trigger_v1/Trigger_v1.srcs/sources_1/new/evt_ack_gen.v"
#    "C:/Xilinx/AMEGO/Trigger_v1/Trigger_v1.srcs/sources_1/new/trg_ack_gen.v"
#    "C:/Xilinx/AMEGO/Trigger_v1/Trigger_v1.srcs/sources_1/new/register_pkt_length.v"
#    "C:/Xilinx/AMEGO/Trigger_v1/Trigger_v1.srcs/sources_1/bd/Trigger/Trigger.bd"
#    "C:/Xilinx/AMEGO/Trigger_v1/Trigger_v1.srcs/sources_1/bd/Trigger/hdl/Trigger_wrapper.v"
#    "C:/Xilinx/AMEGO/Trigger_v1/Trigger_v1.srcs/sources_1/new/sync.v"
#    "C:/Xilinx/AMEGO/Trigger_v1/Trigger_v1.srcs/constrs_1/new/Trigger_Constraints.xdc"
#
#*****************************************************************************************

# Set the reference directory for source file relative paths (by default the value is script directory path)
set origin_dir "."

# Use origin directory path location variable, if specified in the tcl shell
if { [info exists ::origin_dir_loc] } {
  set origin_dir $::origin_dir_loc
}

variable script_file
set script_file "Trigger_Vivado.tcl"

# Help information for this script
proc help {} {
  variable script_file
  puts "\nDescription:"
  puts "Recreate a Vivado project from this script. The created project will be"
  puts "functionally equivalent to the original project for which this script was"
  puts "generated. The script contains commands for creating a project, filesets,"
  puts "runs, adding/importing sources and setting properties on various objects.\n"
  puts "Syntax:"
  puts "$script_file"
  puts "$script_file -tclargs \[--origin_dir <path>\]"
  puts "$script_file -tclargs \[--help\]\n"
  puts "Usage:"
  puts "Name                   Description"
  puts "-------------------------------------------------------------------------"
  puts "\[--origin_dir <path>\]  Determine source file paths wrt this path. Default"
  puts "                       origin_dir path value is \".\", otherwise, the value"
  puts "                       that was set with the \"-paths_relative_to\" switch"
  puts "                       when this script was generated.\n"
  puts "\[--help\]               Print help information for this script"
  puts "-------------------------------------------------------------------------\n"
  exit 0
}

if { $::argc > 0 } {
  for {set i 0} {$i < [llength $::argc]} {incr i} {
    set option [string trim [lindex $::argv $i]]
    switch -regexp -- $option {
      "--origin_dir" { incr i; set origin_dir [lindex $::argv $i] }
      "--help"       { help }
      default {
        if { [regexp {^-} $option] } {
          puts "ERROR: Unknown option '$option' specified, please type '$script_file -tclargs --help' for usage info.\n"
          return 1
        }
      }
    }
  }
}

# Set the directory path for the original project from where this script was exported
set orig_proj_dir "[file normalize "$origin_dir/../../../Xilinx/AMEGO/Trigger_v1"]"

# Create project
create_project Trigger_v1 ./Trigger_v1 -part xc7z045ffg900-2

# Set the directory path for the new project
set proj_dir [get_property directory [current_project]]

# Reconstruct message rules
# None

# Set project properties
set obj [get_projects Trigger_v1]
set_property "board_part" "xilinx.com:zc706:part0:1.3" $obj
set_property "default_lib" "xil_defaultlib" $obj
set_property "sim.ip.auto_export_scripts" "1" $obj
set_property "simulator_language" "Mixed" $obj
set_property "xpm_libraries" "XPM_CDC XPM_MEMORY" $obj

# Create 'sources_1' fileset (if not found)
if {[string equal [get_filesets -quiet sources_1] ""]} {
  create_fileset -srcset sources_1
}

# Set IP repository paths
set obj [get_filesets sources_1]
set_property "ip_repo_paths" "[file normalize "$origin_dir/../../../Xilinx/AMEGO/ip_repo/EventData_1.0"] [file normalize "$origin_dir/../../../Xilinx/AMEGO/ip_repo/Registers_1.0"] [file normalize "$origin_dir/../../../Xilinx/AMEGO/ip_repo/Data_Write_1.0"] [file normalize "$origin_dir/../../../Xilinx/AMEGO/ip_repo/Trigger_1.0"]" $obj

# Rebuild user ip_repo's index before adding any source files
update_ip_catalog -rebuild

# Set 'sources_1' fileset object
set obj [get_filesets sources_1]
set files [list \
 "[file normalize "$origin_dir/../../../Xilinx/AMEGO/Trigger_v1/Trigger_v1.srcs/sources_1/new/tlast_gen.v"]"\
 "[file normalize "$origin_dir/../../../Xilinx/AMEGO/Trigger_v1/Trigger_v1.srcs/sources_1/new/external_trigger.v"]"\
 "[file normalize "$origin_dir/../../../Xilinx/AMEGO/Trigger_v1/Trigger_v1.srcs/sources_1/new/sw_ack_gen.v"]"\
 "[file normalize "$origin_dir/../../../Xilinx/AMEGO/Trigger_v1/Trigger_v1.srcs/sources_1/new/register_fmc.v"]"\
 "[file normalize "$origin_dir/../../../Xilinx/AMEGO/Trigger_v1/Trigger_v1.srcs/sources_1/new/register_ctrl.v"]"\
 "[file normalize "$origin_dir/../../../Xilinx/AMEGO/Trigger_v1/Trigger_v1.srcs/sources_1/new/lemo_ack_gen.v"]"\
 "[file normalize "$origin_dir/../../../Xilinx/AMEGO/Trigger_v1/Trigger_v1.srcs/sources_1/new/FallingEdge.v"]"\
 "[file normalize "$origin_dir/../../../Xilinx/AMEGO/Trigger_v1/Trigger_v1.srcs/sources_1/new/gps_pps_mimic.v"]"\
 "[file normalize "$origin_dir/../../../Xilinx/AMEGO/Trigger_v1/Trigger_v1.srcs/sources_1/new/OneShot.v"]"\
 "[file normalize "$origin_dir/../../../Xilinx/AMEGO/Trigger_v1/Trigger_v1.srcs/sources_1/new/det_hit_gen.v"]"\
 "[file normalize "$origin_dir/../../../Xilinx/AMEGO/Trigger_v1/Trigger_v1.srcs/sources_1/new/dummy_fee.v"]"\
 "[file normalize "$origin_dir/../../../Xilinx/AMEGO/Trigger_v1/Trigger_v1.srcs/sources_1/new/fmc_out_gen.v"]"\
 "[file normalize "$origin_dir/../../../Xilinx/AMEGO/Trigger_v1/Trigger_v1.srcs/sources_1/new/mode_ack_gen.v"]"\
 "[file normalize "$origin_dir/../../../Xilinx/AMEGO/Trigger_v1/Trigger_v1.srcs/sources_1/new/Delay32.v"]"\
 "[file normalize "$origin_dir/../../../Xilinx/AMEGO/Trigger_v1/Trigger_v1.srcs/sources_1/new/event_id.v"]"\
 "[file normalize "$origin_dir/../../../Xilinx/AMEGO/Trigger_v1/Trigger_v1.srcs/sources_1/new/Scaler32.v"]"\
 "[file normalize "$origin_dir/../../../Xilinx/AMEGO/Trigger_v1/Trigger_v1.srcs/sources_1/new/Scaler16.v"]"\
 "[file normalize "$origin_dir/../../../Xilinx/AMEGO/Trigger_v1/Trigger_v1.srcs/sources_1/new/evt_ack_gen.v"]"\
 "[file normalize "$origin_dir/../../../Xilinx/AMEGO/Trigger_v1/Trigger_v1.srcs/sources_1/new/trg_ack_gen.v"]"\
 "[file normalize "$origin_dir/../../../Xilinx/AMEGO/Trigger_v1/Trigger_v1.srcs/sources_1/new/register_pkt_length.v"]"\
 "[file normalize "$origin_dir/../../../Xilinx/AMEGO/Trigger_v1/Trigger_v1.srcs/sources_1/bd/Trigger/Trigger.bd"]"\
 "[file normalize "$origin_dir/../../../Xilinx/AMEGO/Trigger_v1/Trigger_v1.srcs/sources_1/bd/Trigger/hdl/Trigger_wrapper.v"]"\
 "[file normalize "$origin_dir/../../../Xilinx/AMEGO/Trigger_v1/Trigger_v1.srcs/sources_1/new/sync.v"]"\
]
add_files -norecurse -fileset $obj $files

# Set 'sources_1' fileset file properties for remote files
set file "$origin_dir/../../../Xilinx/AMEGO/Trigger_v1/Trigger_v1.srcs/sources_1/bd/Trigger/Trigger.bd"
set file [file normalize $file]
set file_obj [get_files -of_objects [get_filesets sources_1] [list "*$file"]]
if { ![get_property "is_locked" $file_obj] } {
  set_property "generate_synth_checkpoint" "0" $file_obj
}


# Set 'sources_1' fileset file properties for local files
# None

# Set 'sources_1' fileset properties
set obj [get_filesets sources_1]
set_property "top" "Trigger_wrapper" $obj

# Create 'constrs_1' fileset (if not found)
if {[string equal [get_filesets -quiet constrs_1] ""]} {
  create_fileset -constrset constrs_1
}

# Set 'constrs_1' fileset object
set obj [get_filesets constrs_1]

# Add/Import constrs file and set constrs file properties
set file "[file normalize "$origin_dir/../../../Xilinx/AMEGO/Trigger_v1/Trigger_v1.srcs/constrs_1/new/Trigger_Constraints.xdc"]"
set file_added [add_files -norecurse -fileset $obj $file]
set file "$origin_dir/../../../Xilinx/AMEGO/Trigger_v1/Trigger_v1.srcs/constrs_1/new/Trigger_Constraints.xdc"
set file [file normalize $file]
set file_obj [get_files -of_objects [get_filesets constrs_1] [list "*$file"]]
set_property "file_type" "XDC" $file_obj

# Set 'constrs_1' fileset properties
set obj [get_filesets constrs_1]
set_property "target_constrs_file" "$orig_proj_dir/Trigger_v1.srcs/constrs_1/new/Trigger_Constraints.xdc" $obj

# Create 'sim_1' fileset (if not found)
if {[string equal [get_filesets -quiet sim_1] ""]} {
  create_fileset -simset sim_1
}

# Set 'sim_1' fileset object
set obj [get_filesets sim_1]
# Empty (no sources present)

# Set 'sim_1' fileset properties
set obj [get_filesets sim_1]
set_property "top" "Trigger_wrapper" $obj
set_property "transport_int_delay" "0" $obj
set_property "transport_path_delay" "0" $obj
set_property "xelab.nosort" "1" $obj
set_property "xelab.unifast" "" $obj

# Create 'synth_1' run (if not found)
if {[string equal [get_runs -quiet synth_1] ""]} {
  create_run -name synth_1 -part xc7z045ffg900-2 -flow {Vivado Synthesis 2016} -strategy "Vivado Synthesis Defaults" -constrset constrs_1
} else {
  set_property strategy "Vivado Synthesis Defaults" [get_runs synth_1]
  set_property flow "Vivado Synthesis 2016" [get_runs synth_1]
}
set obj [get_runs synth_1]

# set the current synth run
current_run -synthesis [get_runs synth_1]

# Create 'impl_1' run (if not found)
if {[string equal [get_runs -quiet impl_1] ""]} {
  create_run -name impl_1 -part xc7z045ffg900-2 -flow {Vivado Implementation 2016} -strategy "Vivado Implementation Defaults" -constrset constrs_1 -parent_run synth_1
} else {
  set_property strategy "Vivado Implementation Defaults" [get_runs impl_1]
  set_property flow "Vivado Implementation 2016" [get_runs impl_1]
}
set obj [get_runs impl_1]
set_property "steps.write_bitstream.args.readback_file" "0" $obj
set_property "steps.write_bitstream.args.verbose" "0" $obj

# set the current impl run
current_run -implementation [get_runs impl_1]

puts "INFO: Project created:Trigger_v1"
